## edu.stanford.nlp.tagger.maxent
Class ReadDataTagged

    java.lang.Object
      edu.stanford.nlp.tagger.maxent.ReadDataTagged

    public class ReadDataTagged

extends Object

Reads tagged data from a file and creates a dictionary. The tagged data has to be whitespace-separated items, with the word and tag split off by a delimiter character, which is found as the last instance of the delimiter character in the item.

Author:
  Kristina Toutanova

Constructor Summary
`protected` `ReadDataTagged(TaggerConfig config, MaxentTagger maxentTagger, PairsHolder pairs)`

Method Summary
`int` `getSize()` Returns the number of tokens in the data read, which is the number of words plus one end sentence token per sentence.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReadDataTagged

    protected ReadDataTagged(TaggerConfig config,
                             MaxentTagger maxentTagger,
                             PairsHolder pairs)

Method Detail

### getSize

    public int getSize()

  Returns the number of tokens in the data read, which is the number of words plus one end sentence token per sentence.

  Returns:
    The number of tokens in the data

Stanford NLP Group